Package wx :: Module grid :: Class GridTableMessage

[frames | no frames]

## Type GridTableMessage

    object --+
             |
            GridTableMessage

Proxy of C++ GridTableMessage class

Method Summary
GridTableMessage | `__init__(self, table, id, comInt1, comInt2)`
| `__del__(self)`
int | `GetCommandInt(self)`
int | `GetCommandInt2(self)`
int | `GetId(self)`
GridTableBase | `GetTableObject(self)`
| `SetCommandInt(self, comInt1)`
| `SetCommandInt2(self, comInt2)`
| `SetId(self, id)`
| `SetTableObject(self, table)`

Property Summary
| `CommandInt`: See `GetCommandInt` and `SetCommandInt`
| `CommandInt2`: See `GetCommandInt2` and `SetCommandInt2`
| `Id`: See `GetId` and `SetId`
| `TableObject`: See `GetTableObject` and `SetTableObject`
| `thisown`: The membership flag

Property Details

### CommandInt

See `GetCommandInt` and `SetCommandInt`

  Get Method:
    `GetCommandInt`(self)
  Set Method:
    `SetCommandInt`(self, comInt1)

### CommandInt2

See `GetCommandInt2` and `SetCommandInt2`

  Get Method:
    `GetCommandInt2`(self)
  Set Method:
    `SetCommandInt2`(self, comInt2)

### Id

See `GetId` and `SetId`

  Get Method:
    `GetId`(self)
  Set Method:
    `SetId`(self, id)

### TableObject

See `GetTableObject` and `SetTableObject`

  Get Method:
    `GetTableObject`(self)
  Set Method:
    `SetTableObject`(self, table)

### thisown

The membership flag

  Get Method:
    unknown--1218708148(...)
  Set Method:
    unknown--1218708092(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:54 2007 | http://epydoc.sf.net